## awesomeversion 22.8.0

=== debian/changelog ===
awesomeversion (22.8.0-1) unstable; urgency=medium

  * New upstream release.

 -- Edward Betts <edward@4angle.com>  Sun, 21 Aug 2022 10:38:01 +0100

awesomeversion (22.6.0-2) unstable; urgency=medium

  * debian/control: Build-Depends: Add <!nocheck> to python3-pytest.
  * debian/upstream/metadata: fix github URLs.

 -- Edward Betts <edward@4angle.com>  Sat, 23 Jul 2022 23:49:01 +0100

awesomeversion (22.6.0-1) unstable; urgency=medium

  * Initial release. (Closes: #1014775)

 -- Edward Betts <edward@4angle.com>  Mon, 11 Jul 2022 20:23:43 +0100

## awesomeversion 22.9.0

=== Makefile ===
.DEFAULT_GOAL := help

help: ## Shows this help message
	@printf "\033[1m%s\033[36m %s\033[32m %s\033[0m \n\n" "Development environment for" "ludeeus/awesomeversion" "";
	@awk 'BEGIN {FS = ":.*##";} /^[a-zA-Z_-]+:.*?##/ { printf " \033[36m make %-25s\033[0m %s\n", $$1, $$2 } /^##@/ { printf "\n\033[1m%s\033[0m\n", substr($$0, 5) } ' $(MAKEFILE_LIST);
	@echo

requirements: install-poetry ## Install requirements
	@poetry install
	@poetry check

install: ## Install awesomeversion
	@poetry install

install-poetry:
	@curl -sSL https://install.python-poetry.org | python3 -

test: ## Run all tests
	@poetry run pytest tests -rxf -x -vv -l -s --cov=./ --cov-report=xml

build: ## Build the package
	@poetry build

lint: isort black mypy pylint ## Lint all files


coverage: ## Check the coverage of the package
	@poetry run pytest tests -rxf -x -v -l --cov=./ --cov-report=xml > /dev/null
	@poetry run coverage report

isort:
	@poetry run isort awesomeversion tests

isort-check:
	@poetry run isort awesomeversion tests --check-only

black:
	@poetry run black --fast awesomeversion tests

black-check:
	@poetry run black --check --fast awesomeversion tests

mypy:
	@poetry run mypy --strict awesomeversion tests

pylint:
	@poetry run pylint awesomeversion tests

=== debian/changelog ===
awesomeversion (22.9.0-1) unstable; urgency=medium

  * New upstream release.

 -- Edward Betts <edward@4angle.com>  Mon, 19 Sep 2022 08:15:52 +0200

=== debian/control ===
Source: awesomeversion
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Edward Betts <edward@4angle.com>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               pybuild-plugin-pyproject,
               python3-all,
               python3-poetry-core,
               python3-pytest <!nocheck>
Rules-Requires-Root: no
Standards-Version: 4.6.1
Homepage: https://github.com/ludeeus/awesomeversion
Vcs-Browser: https://salsa.debian.org/python-team/packages/awesomeversion
Vcs-Git: https://salsa.debian.org/python-team/packages/awesomeversion.git

Package: python3-awesomeversion
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: Version parsing and comparison library for Python
 Features include:
 .
   * Represent a version number as an object and compare with other versions.
   * Parse a version number like 2.12.0 into the components major, minor and
     patch.
   * Identify that 1.2.3b0 represents a beta version.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=awesomeversion
export PYBUILD_TEST_PYTEST=1

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	rm -rf awesomeversion.egg-info/

execute_before_dh_installdeb:
	rm $(CURDIR)/debian/python3-awesomeversion/usr/lib/python3/dist-packages/LICENCE.md

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/awesomeversion-$1\.tar\.gz/ \
  https://github.com/ludeeus/awesomeversion/tags .*/v?(\d\S+)\.tar\.gz

## awesomeversion 23.5.0

=== debian/changelog ===
awesomeversion (23.5.0-1) unstable; urgency=medium

  * New upstream release.
  * Update copyright year.
  * Update Standards-Version.

 -- Edward Betts <edward@4angle.com>  Thu, 25 May 2023 14:48:34 +0100

## awesomeversion 24.2.0

=== Makefile ===
--- 
+++ 
@@ -23,6 +23,8 @@
 
 lint: isort black mypy pylint ## Lint all files
 
+snapshot-update: ## Update test snapshot files
+	@poetry run pytest tests --snapshot-update
 
 coverage: ## Check the coverage of the package
 	@poetry run pytest tests -rxf -x -v -l --cov=./ --cov-report=xml > /dev/null

=== debian/changelog ===
awesomeversion (24.2.0-1) unstable; urgency=medium

  * New upstream release.
  * Update copyright year.

 -- Edward Betts <edward@4angle.com>  Sat, 10 Feb 2024 13:43:25 +0000

awesomeversion (23.11.0-1) unstable; urgency=medium

  * New upstream release.
  * Upstream add a new test in tests/test_snapshots.py, but we ignore it
    because pytest_snapshot is not packaged.

 -- Edward Betts <edward@4angle.com>  Fri, 17 Nov 2023 11:22:03 -0300

awesomeversion (23.8.0-1) unstable; urgency=medium

  * New upstream release.
  * Update copyright year.

 -- Edward Betts <edward@4angle.com>  Sun, 20 Aug 2023 13:23:04 +0100

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                python3-poetry-core,
                python3-pytest <!nocheck>
 Rules-Requires-Root: no
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://github.com/ludeeus/awesomeversion
 Vcs-Browser: https://salsa.debian.org/python-team/packages/awesomeversion
 Vcs-Git: https://salsa.debian.org/python-team/packages/awesomeversion.git

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,7 @@
 
 export PYBUILD_NAME=awesomeversion
 export PYBUILD_TEST_PYTEST=1
+export PYBUILD_TEST_ARGS=tests --ignore=tests/test_snapshots.py
 
 %:
 	dh $@ --buildsystem=pybuild

## awesomeversion 24.6.0

=== debian/changelog ===
awesomeversion (24.6.0-2) unstable; urgency=medium

  * Team upload.
  * Don't fail to build if other build system components avoid installing
    LICENCE.md (closes: #1094076).

 -- Colin Watson <cjwatson@debian.org>  Mon, 27 Jan 2025 20:03:01 +0000

awesomeversion (24.6.0-1) unstable; urgency=medium

  * New upstream release.
  * Update Standards-Version.

 -- Edward Betts <edward@4angle.com>  Fri, 28 Jun 2024 11:14:15 +0100

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                python3-poetry-core,
                python3-pytest <!nocheck>
 Rules-Requires-Root: no
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://github.com/ludeeus/awesomeversion
 Vcs-Browser: https://salsa.debian.org/python-team/packages/awesomeversion
 Vcs-Git: https://salsa.debian.org/python-team/packages/awesomeversion.git

=== debian/rules ===
--- 
+++ 
@@ -12,4 +12,4 @@
 	rm -rf awesomeversion.egg-info/
 
 execute_before_dh_installdeb:
-	rm $(CURDIR)/debian/python3-awesomeversion/usr/lib/python3/dist-packages/LICENCE.md
+	rm -f $(CURDIR)/debian/python3-awesomeversion/usr/lib/python3/dist-packages/LICENCE.md

## awesomeversion 25.5.0

=== Makefile ===
.DEFAULT_GOAL := help

help: ## Shows this help message
	@printf "\033[1m%s\033[36m %s\033[32m %s\033[0m \n\n" "Development environment for" "ludeeus/awesomeversion" "";
	@awk 'BEGIN {FS = ":.*##";} /^[a-zA-Z_-]+:.*?##/ { printf " \033[36m make %-25s\033[0m %s\n", $$1, $$2 } /^##@/ { printf "\n\033[1m%s\033[0m\n", substr($$0, 5) } ' $(MAKEFILE_LIST);
	@echo

requirements: install-poetry ## Install requirements
	@poetry install
	@poetry check

install: ## Install awesomeversion
	@poetry install

install-poetry:
	@curl -sSL https://install.python-poetry.org | python3 -

test: ## Run all tests
	@poetry run pytest --timeout=10 tests -rxf -x -vv -l -s --cov=./ --cov-report=xml

build: ## Build the package
	@poetry build

lint: isort black mypy pylint ## Lint all files

snapshot-update: ## Update test snapshot files
	@poetry run pytest tests --snapshot-update  --timeout=10

benchmark:
	@poetry run pytest -x --no-cov -vvvvv benchmarks

coverage: ## Check the coverage of the package
	@poetry run pytest tests --timeout=10 -rxf -x -v -l --cov=./ --cov-report=xml > /dev/null
	@poetry run coverage report

isort:
	@poetry run isort awesomeversion tests benchmarks

isort-check:
	@poetry run isort awesomeversion tests benchmarks --check-only

black:
	@poetry run black --fast awesomeversion tests benchmarks

black-check:
	@poetry run black --check --fast awesomeversion tests benchmarks

mypy:
	@poetry run mypy --strict awesomeversion tests benchmarks

pylint:
	@poetry run pylint awesomeversion tests benchmarks

=== debian/changelog ===
awesomeversion (25.5.0-1) unstable; urgency=medium

  * New upstream release.
  * Switch to autopkgtest-pkg-pybuild.
  * Update Standards-Version.
  * Update copyright year.
  * Simplify debian/rules.
  * Simplify debian/watch.

 -- Edward Betts <edward@4angle.com>  Sun, 01 Jun 2025 05:38:49 -0500

=== debian/control ===
--- 
+++ 
@@ -10,10 +10,11 @@
                python3-poetry-core,
                python3-pytest <!nocheck>
 Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/ludeeus/awesomeversion
 Vcs-Browser: https://salsa.debian.org/python-team/packages/awesomeversion
 Vcs-Git: https://salsa.debian.org/python-team/packages/awesomeversion.git
+Testsuite: autopkgtest-pkg-pybuild
 
 Package: python3-awesomeversion
 Architecture: all

## awesomeversion 25.8.0

=== debian/changelog ===
awesomeversion (25.8.0-1) unstable; urgency=medium

  * New upstream release.
  * Upstream switched build system from poetry to hatchling.

 -- Edward Betts <edward@4angle.com>  Mon, 04 Aug 2025 10:45:22 +0100

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,17 @@
 Source: awesomeversion
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
-Uploaders: Edward Betts <edward@4angle.com>
+Uploaders:
+ Edward Betts <edward@4angle.com>,
 Section: python
 Priority: optional
-Build-Depends: debhelper-compat (= 13),
-               dh-sequence-python3,
-               pybuild-plugin-pyproject,
-               python3-all,
-               python3-poetry-core,
-               python3-pytest <!nocheck>
+Build-Depends:
+ debhelper-compat (= 13),
+ dh-sequence-python3,
+ pybuild-plugin-pyproject,
+ python3-all,
+ python3-hatchling,
+Build-Depends-Indep:
+ python3-pytest <!nocheck>,
 Rules-Requires-Root: no
 Standards-Version: 4.7.2
 Homepage: https://github.com/ludeeus/awesomeversion
@@ -18,7 +21,9 @@
 
 Package: python3-awesomeversion
 Architecture: all
-Depends: ${misc:Depends}, ${python3:Depends}
+Depends:
+ ${misc:Depends},
+ ${python3:Depends},
 Description: Version parsing and comparison library for Python
  Features include:
  .

=== debian/rules ===
#!/usr/bin/make -f
export PYBUILD_TEST_ARGS=tests --ignore=tests/test_snapshots.py

%:
	dh $@ --buildsystem=pybuild

execute_before_dh_installdeb:
	rm -f $(CURDIR)/debian/python3-awesomeversion/usr/lib/python3/dist-packages/LICENCE.md

=== debian/watch ===
version=4
https://github.com/ludeeus/awesomeversion/tags .*/v?(\d\S+)\.tar\.gz
